//
// Find.h : include file for standard system include files,
//

#ifndef _FIND_H_
#define _FIND_H_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifdef __cplusplus
extern "C" {
#endif

/*
 *	FINDSTR
 */

typedef struct _FINDSTR {
	HINSTANCE	hInst;
	HWND		hWnd;
	TCHAR		aFindStr[MAX_PATH];
	INT			nFindStr;
	TCHAR		aReplStr[MAX_PATH];
	INT			nReplStr;
	BOOL		CaseSensitive;
	BOOL		BackSearch;
} FINDSTR, *PFINDSTR;

BOOL GetFindStr(PFINDSTR pfs);
BOOL GetReplStr(PFINDSTR pfs);
BOOL FindStr(PFINDSTR pfs);
BOOL ReplStr(PFINDSTR pfs);
BOOL ReplAll(PFINDSTR pfs);

#ifdef __cplusplus
}
#endif

#endif // _FIND_H_

// vi: ts=4 sw=4
